# MAIN IMPORTS ================================================================================================================================================ #
import psyco
psyco.full()
import es
import gamethread
import time
# ============================================================================================================================================================= #

# * SAM IMPORTS
func   = es.import_addon('sam/functions')

# '''''''''''''''''''' # Addon/Mod Info # '''''''''''''''''' #
addon = es.AddonInfo()
addon.name     = 'Clock'
addon.basename = 'clock'
addon.status   = 0
addon.version  = '1.2.pub'
# '''''''''''''''''''''''''''''''''''''''''''''''''''''''''' #

# * VARIABLES

line = '-' * 18

# ============================================================================================================================================================= #
# ========================================================================== LOAD ============================================================================= #
# ============================================================================================================================================================= #
def load():
	### Addon State ###
	es.set('sam_%s' % addon.basename, 1)

	### Load Delay ###
	gamethread.delayedname(0.05, 'sam_clock_delay', loop, ())

# ============================================================================================================================================================= #
# ========================================================================= UNLOAD ============================================================================ #
# ============================================================================================================================================================= #
def unload():
	### Addon State ###
	es.set('sam_%s' % addon.basename, 0)

	### Cancel Load Delay ###
	gamethread.cancelDelayed('sam_clock_delay')
	func.keyhint('#human', ' ')

# ============================================================================================================================================================= #
# ======================================================================= MAIN BLOCKS ========================================================================= #
# ============================================================================================================================================================= #
def loop():
	func.keyhint('#human', '%s\n  %s\n%s\n  %s\n%s' % (line,time.strftime('%I:%M:%S %p'),line,time.strftime('%d/%m/%Y'),line))
	gamethread.delayedname(0.50, 'sam_clock_delay', loop, ())

# ============================================================================================================================================================= #